﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace TranposedFlexGrid
{


    
    public class ClubTransfers 
    {
        public string Player { get; set; }
        public string Country { get; set; }
        public string From { get; set; }
        public string To { get; set; }
        public string Price { get; set; }
        public string Year { get; set; }

    }
    public class TransferViewModel
    {
        public  int Count
        {
            get
            {
                return _transfers.Count;  
            }
        }
        private ObservableCollection<ClubTransfers> _transfers;


        public ObservableCollection<ClubTransfers> Transfers
        {
            get
            {
                return this._transfers;
            }
            set
            {
                this._transfers = value;
            }
        }

        public TransferViewModel()
        {


            this._transfers = new ObservableCollection<ClubTransfers>();

            //Intialize sample Collection
            this._transfers.Add(new ClubTransfers() { Country = "Portugal", Player = "Cristiano Ronaldo", From = "Manchester United", To = "Real Madrid", Price = "81 MP", Year="2009"});
            this._transfers.Add(new ClubTransfers() { Country = "France", Player = "Zinedine Zidane", From = "Juventus", To = "Real Madrid", Price = "65 MP", Year="2001"  });
            this._transfers.Add(new ClubTransfers() { Country = "Swedan", Player = "Zlatan Ibrahimović", From = "Internazionale", To = "Barcelona", Price = "60 MP" , Year="2009"  });
            this._transfers.Add(new ClubTransfers() { Country = "Brazil", Player = "Kaká", From = "AC Milan", To = "Real Madrid", Price = "57 MP", Year="2009"  });
            this._transfers.Add(new ClubTransfers() { Country = "Brazil", Player = "Ronaldo", From = "Internazionale", To = "Real Madrid", Price = "56 MP", Year="2002"});
        }

      
    }
}
